.container-contest {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 3rem;
}

.container-contest ul {
  margin: 0;
  padding: 0;
}

ul.contests li.contest {
  width: 100%;
  margin-bottom: 1rem;
  border-radius: 0.7rem;
  padding: 1rem;
  background-color: #f6f7f8;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

ul.contests li.my-contest {
  width: 100%;
  margin-bottom: 1rem;
  border-radius: 0.7rem;
  padding: 1rem;
  background-color: #f6f7f8;
  flex-wrap: wrap;
}

ul.contests li p {
  font-size: 1.1rem;
  font-weight: 600;
  margin: 0;
  overflow: hidden;
  text-overflow: ellipsis;
  flex-shrink: 1;
}

ul.contests li p span {
  font-weight: 400;
}

ul.contests li button {
  margin: 0 0 0 auto;
  justify-self: flex-end;
}

.-flex-end {
  margin-left: auto;
  flex-shrink: 0;
}

.contest-players li {
  border-radius: 0.7rem;
  padding: 0.5rem 1rem;
}

@media (max-width: 740px) {
  .container-contest {
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas: inherit;
    grid-template-columns: 1fr;
  }
}

p,
span,
h1,
h2,
h3,
h4 {
  font-family: "Poppins", sans-serif !important;
  color: #2d2a32;
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4 {
  font-weight: 500;
  font-size: 1.4rem;
}

body {
  min-height: 100vh;
}

.-fullheight {
  min-height: 100vh;
}

.nav-play-desktop {
  display: none !important;
}

.progress-play {
  height: 5px;
}

.demo-play-cards {
  min-height: calc(100vh - 120px);
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-play-mobile {
  background-color: white;
}

.reviewing-play-cards {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
}

.card-level {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 30px;
  height: 30px;
  border-radius: 50% 0 50% 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  background: linear-gradient(to right, #2ed197, #077187);
  color: white;
}

.multiplicateur {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 40px;
  height: 40px;
  border-radius: 50% 0 50% 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  background: linear-gradient(to right, #ff7416, #c82647);
  color: white;
}

.card-play {
  padding: 1rem;
}

.card-play > div {
  border-radius: 0.8rem;
}

.combo-play {
  position: relative;
}

.combo-play span {
  position: absolute;
  font-size: 0.8rem;
  font-weight: 500;
  top: 55%;
  left: 53%;
  transform: translate(-50%, -50%);
}

.uk-input:focus,
.uk-select:focus,
.uk-textarea:focus {
  border: solid 1px #2d2a3283 !important;
  border-radius: 2px;
}

#container_mission {
  display: grid;
  height: 100vh;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 0.1fr 1fr 1fr;
  grid-gap: 0.4rem;
  grid-template-areas: "nav nav nav" "main content1 content2" "content3 content4 content5";
}

.learning-image {
  width: auto;
  height: 100%;
  max-height: 360px;
}

.reviewing-navbar {
  display: none;
}

@media screen and (max-width: 1000px) {
  .learning-image {
    width: auto;
    height: 100%;
    max-height: 320px;
  }
}

@media screen and (max-width: 720px) {
  .home-svg {
    display: none;
  }
  .learning-image {
    width: auto;
    height: 300px;
  }
}

@media screen and (max-width: 400px) {
  .learning-image {
    width: auto;
    height: 100%;
    max-height: 200px;
  }
}

@media (orientation: portrait) {
  #csvImport {
    display: none;
  }
}

#wrapper {
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 50%;
  width: 100%;
  height: 100%;
  background-color: #22cc75;
  filter: alpha(opacity=30);
  /* IE */
  -moz-opacity: 0.3;
  /* Firefox */
  opacity: 0.3;
  /* standard CSS3 */
  -khtml-opacity: 0.3;
  /* Konqueror */
}

#wrapperNew {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  filter: alpha(opacity=50);
  /* IE */
  -moz-opacity: 0.5;
  /* Firefox */
  opacity: 0.5;
  /* standard CSS3 */
  -khtml-opacity: 0.5;
  /* Konqueror */
}

.home > .container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.home-img {
  padding: 1.5rem;
  max-width: 500px;
  position: relative;
}

.home-data {
  padding: 1rem;
  position: relative;
}

.home-title-green {
  color: #2bc58f;
  position: relative;
}

.home-title-green::after {
  content: "🧠";
  font-size: 1.5rem;
  position: absolute;
  right: 6px;
  top: -15px;
  z-index: 10;
}

.home-data > img {
  position: absolute;
  top: 50px;
  right: 140px;
  width: 60px;
}

.-title {
  font-family: "Poppins", sans-serif;
  font-size: 2.5rem;
  font-weight: 700;
  word-break: break-word;
}

.-title-reviewing {
  font-family: "Poppins", sans-serif;
  font-size: 1.6rem;
  font-weight: 700;
}

.-subtitle {
  font-size: 1rem;
  margin: 0 1rem 2rem 1rem;
}

.home-data p {
  font-family: "Poppins", sans-serif;
  text-align: justify;
  max-width: 400px;
}

input[type="text"],
input[type="password"],
input[type="email"],
input[type="date"],
textarea,
select,
.taginput-container {
  border-radius: 0.8rem 0.8rem 0.8rem 0 !important;
}

a.-button,
a.-button-small {
  text-decoration: none;
  color: white;
}

a.-button:hover,
a.-button-small:hover {
  color: white;
  text-decoration: none;
}

.-button {
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  font-size: calc(0.75em + 1vmin);
  word-break: break-all;
  text-transform: uppercase;
  display: inline-block;
  background-color: #2ed197;
  color: white;
  padding: 1rem 1.8rem;
  border-radius: 0.7rem 0.7rem 0.7rem 0;
  border: none;
  outline: none;
  margin-bottom: 20px;
  cursor: pointer;
}

.-button-outline {
  background-color: white;
  color: #2ed197 !important;
  border: solid 2px #2ed197;
}

.-button-small {
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-size: calc(0.4em + 1vmin);
  word-break: break-all;
  text-transform: uppercase;
  display: inline-block;
  background-color: #2ed197;
  color: white;
  padding: 0.6rem 1rem;
  border-radius: 0.6rem 0.6rem 0.6rem 0;
  border: none;
  outline: none;
  margin-bottom: 10px;
  cursor: pointer;
}

.-button-xsmall {
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-size: 0.9rem;
  word-break: break-all;
  text-transform: uppercase;
  display: inline-block;
  background-color: #2ed197;
  color: white;
  padding: 0.1rem 0.4rem;
  border-radius: 0.5rem 0.5rem 0.5rem 0;
  border: none;
  outline: none;
  margin-bottom: 5px;
  cursor: pointer;
}

.-button:disabled {
  color: rgb(94, 221, 176);
  box-shadow: none !important;
}

.-button-invert {
  background-color: #2d2a32 !important;
}

.-button-muted {
  background-color: #f6f7f8 !important;
  color: #2d2a32;
}

.-answer {
  border: solid 2px #077187;
  background-color: white;
  color: #077187;
  word-break: break-word;
  font-size: calc(0.7em + 1vmin);
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  display: inline-block;
  padding: 0.6rem 0.8rem;
  border-radius: 0.8rem 0.7rem 0.7rem 0;
  outline: none;
  margin: 10px 10px 10px 10px;
  min-width: 51%;
}

.-answer-image {
  border: solid 2px #077187;
  background-color: white;
  color: #077187;
  word-break: break-word;
  font-size: calc(0.7em + 1vmin);
  text-decoration: none;
  font-family: "Poppins", sans-serif;
  font-weight: 700;
  display: inline-block;
  padding: 0.6rem 0.8rem;
  border-radius: 0.8rem 0.7rem 0.7rem 0;
  outline: none;
  margin: 10px 10px 10px 10px;
  width: 40%;
}

.-answer:not(:disabled):hover,
.-answer-image:not(:disabled):hover {
  background-color: #077187;
  color: white;
}

.-button-invert:disabled {
  color: #3b3841;
  box-shadow: none !important;
}

.-answer-good {
  background-color: #2ed197 !important;
  border: solid 2px #2ed197 !important;
  color: white !important;
}

.-answer-bad {
  background-color: #e85064 !important;
  border: solid 2px #e85064 !important;
  color: white !important;
}

.-button-login {
  cursor: url("./images/brain.png"), auto;
}

.home-data a {
  margin-right: 20px;
  color: white !important;
  cursor: url("./images/race.png"), auto;
}

.home-data button {
  cursor: url("./images/backpack.png"), auto;
}

#reviewing-play {
  height: 100vh;
}

.-button:hover,
.-button:active,
.-button:focus,
.-button:visited {
  text-decoration: none;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 3px 10px 0 rgba(0, 0, 0, 0.1);
}

.home-tips:hover {
  transform: scale(1.4);
}

.home-tips:hover img {
  filter: invert(73%) sepia(23%) saturate(1290%) hue-rotate(104deg) brightness(87%) contrast(84%);
  transform: rotate(20deg);
}

.home-tips {
  display: block;
  position: absolute;
  top: 50px;
  right: 50px;
  width: 60px;
  height: 60px;
  border-radius: 50% 50% 50% 0;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 3px 10px 0 rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  background-color: white;
  transition: all 0.5s ease-in-out;
  cursor: url("./images/fire.png"), auto;
  z-index: 100;
}

.home-tips a {
  cursor: url("./images/fire.png"), auto;
}

.home-tips img {
  width: 30px;
  height: auto;
  transition: all 0.5s ease-in-out;
}

#reviewingBack {
  display: none;
  position: absolute;
  top: 10px;
  right: 10px;
}

@media screen and (max-width: 640px) {
  .button-invert::after {
    content: "🎒";
    font-size: 1.2rem;
    position: absolute;
    right: -6px;
    top: -6px;
  }
  .home-tips {
    top: 45%;
    right: 20px;
  }
  .-answer:not(:disabled):hover,
  .-answer-image:not(:disabled):hover {
    background-color: white;
    color: #077187;
  }
}

#card-home {
  position: relative;
  top: 5%;
}

.credentials-image {
  display: none;
}

#googleOAuth {
  cursor: pointer;
  position: relative;
  left: 50%;
  transform: translate(-50%, 0);
  font-family: "Poppins", sans-serif;
  height: 50px;
  padding-left: 3rem;
  padding-right: 1rem;
  border: none;
  background-color: transparent;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1), 0 3px 10px 0 rgba(0, 0, 0, 0.1);
  border-radius: 0.6rem;
}

#googleOAuth:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.1), 0 6px 20px 0 rgba(0, 0, 0, 0.1);
}

#googleOAuth::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translate(0, -50%);
  height: 25px;
  width: 25px;
  background-image: url("./images/googleOAuthLogo.png");
  background-position: center;
  background-size: cover;
}

@media screen and (min-width: 1200px) {
  .reviewing-navbar {
    display: block !important;
  }
  .home-img {
    max-width: 700px;
  }
  #demo-play {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: center;
  }
  .demo-play-cards {
    min-height: 100vh;
  }
  #reviewing-play {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-around;
    align-items: center;
  }
  .nav-play-mobile {
    display: none !important;
  }
  .nav-play-desktop {
    min-width: 300px;
    min-height: 250px;
    display: flex !important;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 1rem 1rem 0 0;
    position: relative;
  }
  .nav-play-desktop:after {
    content: "";
    display: block !important;
    width: 100%;
    height: 15px;
    position: absolute;
    bottom: 0;
    left: 0;
    background: linear-gradient(to right, #2cc990, #2cc990, #ff7416, #c82647);
  }
  .progress-play {
    height: 15px;
  }
  #reviewingBack {
    display: block;
  }
}

@media screen and (min-width: 900px) {
  #card-home {
    top: 20%;
  }
  .credentials-image {
    display: block;
    background-image: url("./images//credentials.jpg");
    background-position: left;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    width: 50vw;
  }
  .home {
    background-image: url("./images//bg-memo.svg");
    background-size: cover;
    position: relative;
  }
  .home > .container {
    display: flex;
    flex-direction: row-reverse;
    height: 100vh;
    justify-content: space-evenly;
  }
  .home-data h1 {
    font-size: 3rem;
  }
  .home-img {
    max-width: 500px;
  }
}

#bottomNavbar {
  width: 100vw;
  height: 8vh;
  position: fixed;
  bottom: 0;
  left: 0;
  overflow: hidden;
  display: none;
  box-shadow: 0 5px 15px rgb(0 0 0 / 10%);
  z-index: 100;
}

#bottomNavbar ul {
  margin: 0;
  padding: 0 20px;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#bottomNavbar ul li {
  position: relative;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
}

@media screen and (max-width: 960px) {
  #bottomNavbar {
    display: block;
    background-color: white;
  }
}

.my-loader {
  position: fixed;
  height: 100%;
  width: 100%;
  left: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 10;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.loading-dots > div {
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  display: inline-block;
  animation: 1.5s bounce infinite ease-in-out both;
  -o-animation: 1.5s bounce infinite ease-in-out both;
  -moz-animation: 1.5s bounce infinite ease-in-out both;
  -webkit-animation: 1.5s bounce infinite ease-in-out both;
  -ms-animation: 1.5s bounce infinite ease-in-out both;
  -khtml-animation: 1.5s bounce infinite ease-in-out both;
}

.loading-dots .bounce {
  -o-animation-delay: -0.3s;
  -moz-animation-delay: -0.3s;
  -webkit-animation-delay: -0.3s;
  -ms-animation-delay: -0.3s;
  animation-delay: -0.3s;
  background-color: #2f2c34;
  margin-left: 0.6rem;
  margin-right: 0.6rem;
}

.loading-dots .bounce2 {
  -o-animation-delay: -0.15s;
  -moz-animation-delay: -0.15s;
  -webkit-animation-delay: -0.15s;
  -ms-animation-delay: -0.15s;
  animation-delay: -0.15s;
  background-color: #2f2c34;
  margin-left: 0.6rem;
  margin-right: 0.6rem;
}

.loading-dots .bounce3 {
  -o-animation-delay: 0s;
  -moz-animation-delay: 0s;
  -webkit-animation-delay: 0s;
  -ms-animation-delay: 0s;
  animation-delay: 0s;
  background-color: #2bc58f;
  margin-left: 0.6rem;
  margin-right: 0.6rem;
}

@keyframes bounce {
  0%,
  80%,
  100% {
    transform: scale(0);
  }
  40% {
    transform: scale(1);
  }
}

.unselectable {
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.cursor-crying {
  cursor: url("./images/crying.png"), auto;
}

.cursor-happy {
  cursor: url("./images/happy.png"), auto;
}

.cursor-race {
  cursor: url("./images/race.png"), auto;
}

.cursor-pistol {
  cursor: url("./images/pistol.png"), auto;
}

.red {
  border: solid 1px red;
}

.green {
  border: solid 1px green;
}

.blue {
  border: solid 1px blue;
}

iframe.fb_customer_chat_icon {
  top: 5px;
  left: 40%;
  transform: scale(0.6);
}

.friends-offcanvas h1,
.friends-offcanvas p,
.friends-offcanvas li,
.friends-offcanvas input {
  color: #333 !important;
}

.uk-offcanvas-bar .uk-input,
.uk-offcanvas-bar .uk-input:focus,
.uk-offcanvas-bar .uk-textarea,
.uk-offcanvas-bar .uk-textarea:focus {
  background-color: transparent !important;
  color: #333 !important;
  background-clip: padding-box;
  border-color: #33333333 !important;
}

.uk-offcanvas-bar .uk-input::placeholder,
.uk-offcanvas-bar .uk-textarea::placeholder {
  color: #33333333 !important;
}

.uk-modal-close-default {
  background-color: transparent;
  border: solid 1px black;
  font-size: 1rem;
  width: 33px;
  text-align: center;
  align-items: center;
  cursor: pointer;
}

.item > div.uk-card-default {
  height: 400px;
  display: flex;
  margin: 15px;
  flex-direction: column;
  text-align: justify;
  border-radius: 0.7rem;
}

.item > div.uk-card-default .uk-card-body {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.item > div.uk-card-default .uk-card-body div.summary-wrapper {
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  position: relative;
  overflow: auto;
}

.item > div.uk-card-default .uk-card-body div.summary-wrapper p {
  position: absolute;
  top: 0;
  left: 0;
  padding: 0.5rem;
}

.item > div.uk-card-default .uk-card-footer {
  height: 43px;
}

.item > div.uk-card-default .uk-card-footer,
.item > div.uk-card-default .uk-card-header,
.item > div.uk-card-default .uk-card-body {
  padding: 0.5rem 1rem;
}

.item > div.uk-card-default .uk-card-footer {
  display: flex;
  align-items: center;
}

.item > div.uk-card-default .uk-card-footer .left {
  flex: 1;
  display: flex;
  overflow-x: auto;
  overflow-y: hidden;
}

.item > div.uk-card-default .uk-card-footer .left > span {
  margin: 0 5px;
}

.item > div.uk-card-default .uk-card-footer .right {
  flex-shrink: 0;
}

.item > div.uk-card-default .uk-card-footer .right > span {
  margin-left: 10px;
  cursor: pointer;
}

.items-grid {
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
}

.item-title {
  font-size: 1.5rem;
  font-weight: 500;
  margin: 0;
  padding: 0.5rem;
  text-align: center;
}

/* Scrollbar */

.item *::-webkit-scrollbar {
  width: 0;
  height: 0;
}

.tag-danger {
  background-color: #e85064 !important;
}

.tag-success {
  background-color: #2ed197 !important;
}

.tag-danger span,
.tag-success span {
  color: white;
}

.recto,
.verso {
  flex: 1;
  width: 100%;
  position: relative;
  text-align: center;
}

.recto > div,
.verso > div {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
}

.recto > div p.explaination,
.verso > div p.explaination {
  text-align: left;
  font-style: italic;
}

hr.uk-divider-icon {
  width: 100%;
  background-color: transparent;
}
